Bug 17082 - Translatability: Fix sentence splitting in member.tt
Summary: Translatability: Fix sentence splitting in member.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-08 15:46 UTC by Marc Véron
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17082: Translatability: Fix sentence splitting in member.tt (5.17 KB, patch)
2016-08-08 16:03 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17082: Translatability: Fix sentence splitting in member.tt (5.33 KB, patch)
2016-08-09 16:14 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17082: Translatability: Fix sentence splitting in member.tt (5.34 KB, patch)
2016-08-09 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-08-08 15:46:02 UTC
Template file member.tt contains sentences splitted by tags leading to difficulties while translating.
Comment 1 Marc Véron 2016-08-08 16:03:35 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-09 16:14:49 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-09 22:22:31 UTC
Created attachment 54249 [details] [review]
[PASSED QA] Bug 17082: Translatability: Fix sentence splitting in member.tt

This patch fixes sentences splitting in file
koha-tmpl/intranet-tmpl/prog/en/modules/members/member.tt

Fix is done with a new .inc file because the code is the same as in
koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt

To test:
- Carefully review code changes
- Test on a fresh install without example data (or save database
  and test with empty tables 'branches' and 'categories')
- Go to Home > Patrons (members-home.pl)
- Verify that a warnings appears aubout missing libraries and patron
  categories
- Try to add a new patron (memberentry.pl)
- Verify that the same messages are triggered
- Verify that messages disappear as appropriate as soon as a library and
  a patron category are defined.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Note: Filed Bug 17093 for JS error on patron entry form.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-10 13:50:09 UTC
Pushed to master for 16.11, thanks Marc!